<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/histHabitacionalTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - histHabitacionalTEST.cpp<span style="font-size: 80%;"> (source / <a href="histHabitacionalTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">26</td>
            <td class="headerCovTableEntry">26</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : 
<a name="8"><span class="lineNum">       8 </span>            : using namespace std;</a>
<span class="lineNum">       9 </span>            : 
<span class="lineNum">      10 </span><span class="lineCov">         35 : TEST(histHabitacionalTEST, escaleraArriba) {</span>
<span class="lineNum">      11 </span>            : 
<span class="lineNum">      12 </span>            : //                              Región   #Habitaciones
<span class="lineNum">      13 </span>            : //                                 v        v
<span class="lineNum">      14 </span>            :     eph_h th = {{334,  2017, 1, 1, 1, 0, 1, 3, 1, 2},
<span class="lineNum">      15 </span>            :                 {960,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">      16 </span>            :                 {1366, 2017, 1, 2, 1, 1, 1, 1, 1, 1},
<span class="lineNum">      17 </span>            :                 {1550, 2017, 1, 3, 2, 0, 1, 5, 2, 2}, // Esta no: Es de otra región
<span class="lineNum">      18 </span>            :                 {1388, 2017, 1, 3, 1, 0, 1, 2, 2, 2},
<span class="lineNum">      19 </span>            :                 {18,   2017, 1, 3, 1, 0, 1, 3, 2, 2},
<span class="lineNum">      20 </span><span class="lineCov">         14 :                 {1500, 2017, 1, 3, 1, 0, 1, 3, 2, 2}};</span>
<span class="lineNum">      21 </span>            : 
<span class="lineNum">      22 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      23 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      24 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      25 </span>            :                 {1550, 1, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      26 </span>            :                 {18,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      27 </span>            :                 {1366, 1, 2017, 1, 1, 2, 92, -1, 0, -1,    6},
<span class="lineNum">      28 </span>            :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1},
<span class="lineNum">      29 </span><span class="lineCov">         14 :                 {1388, 2, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      30 </span>            : 
<span class="lineNum">      31 </span><span class="lineCov">         14 :     vector&lt;int&gt; resultado_esperado = {1, 2, 3};</span>
<span class="lineNum">      32 </span><span class="lineCov">          7 :     EXPECT_EQ( resultado_esperado, histHabitacional(th, ti, 1) );</span>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">      34 </span>            : 
<span class="lineNum">      35 </span><span class="lineCov">         35 : TEST(histHabitacionalTEST, escaleraAbajo) {</span>
<span class="lineNum">      36 </span>            : 
<span class="lineNum">      37 </span>            : //                              Región   #Habitaciones
<span class="lineNum">      38 </span>            : //                                 v        v
<span class="lineNum">      39 </span>            :     eph_h th = {{334,  2017, 1, 1, 1, 0, 1, 1, 1, 2},
<span class="lineNum">      40 </span>            :                 {960,  2017, 1, 1, 1, 0, 1, 2, 1, 2},
<span class="lineNum">      41 </span>            :                 {1366, 2017, 1, 2, 1, 1, 1, 1, 1, 1},
<span class="lineNum">      42 </span>            :                 {1550, 2017, 1, 3, 2, 0, 1, 5, 2, 2}, // Esta no: Es de otra región
<span class="lineNum">      43 </span>            :                 {1888, 2017, 1, 3, 1, 0, 2, 2, 2, 2}, // Esta no: Es Depto.
<span class="lineNum">      44 </span>            :                 {1388, 2017, 1, 3, 1, 0, 1, 2, 2, 2},
<span class="lineNum">      45 </span>            :                 {18,   2017, 1, 3, 1, 0, 1, 1, 1, 2},
<span class="lineNum">      46 </span><span class="lineCov">         14 :                 {1500, 2017, 1, 3, 1, 0, 1, 3, 2, 2}};</span>
<span class="lineNum">      47 </span>            : 
<span class="lineNum">      48 </span>            :     eph_i ti = {{334,  1, 2017, 1, 0, 1, 36, 1,  3, 16300, 1},
<span class="lineNum">      49 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1280,  1},
<span class="lineNum">      50 </span>            :                 {1500, 1, 2017, 1, 0, 2, 20, 1,  3, 7000,  1},
<span class="lineNum">      51 </span>            :                 {1550, 1, 2017, 1, 0, 2, 30, 1,  3, 8500,  2},
<span class="lineNum">      52 </span>            :                 {18,   1, 2017, 1, 0, 2, 19, 0,  0, 0,     6},
<span class="lineNum">      53 </span>            :                 {1366, 1, 2017, 1, 1, 2, 92, -1, 0, -1,    6},
<span class="lineNum">      54 </span>            :                 {1388, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1},
<span class="lineNum">      55 </span><span class="lineCov">         14 :                 {1888, 1, 2017, 1, 0, 1, 67, 1,  3, 20000, 1}};</span>
<span class="lineNum">      56 </span>            : 
<span class="lineNum">      57 </span><span class="lineCov">         14 :     vector&lt;int&gt; resultado_esperado = {3, 2, 1};</span>
<span class="lineNum">      58 </span><span class="lineCov">          7 :     EXPECT_EQ( resultado_esperado, histHabitacional(th, ti, 1) );</span>
<span class="lineNum">      59 </span><span class="lineCov">          7 : }</span>
<a name="60"><span class="lineNum">      60 </span>            : </a>
<span class="lineNum">      61 </span>            : 
<span class="lineNum">      62 </span><span class="lineCov">         35 : TEST(histHabitacionalTEST, eph2016_NOA) {</span>
<span class="lineNum">      63 </span><span class="lineCov">         14 :     eph_h th;</span>
<span class="lineNum">      64 </span><span class="lineCov">         14 :     eph_i ti;</span>
<span class="lineNum">      65 </span><span class="lineCov">          7 :     leerEncuesta ( &quot;eph_3c_2016_100&quot;, th, ti );</span>
<span class="lineNum">      66 </span>            : 
<span class="lineNum">      67 </span><span class="lineCov">         14 :     vector&lt;int&gt; resultado_esperado = {0, 4, 3, 2, 0, 2};</span>
<span class="lineNum">      68 </span><span class="lineCov">          7 :     EXPECT_EQ( resultado_esperado, histHabitacional(th, ti, 2) );</span>
<span class="lineNum">      69 </span><span class="lineCov">          7 : }</span>
<a name="70"><span class="lineNum">      70 </span>            : </a>
<span class="lineNum">      71 </span>            : 
<span class="lineNum">      72 </span><span class="lineCov">         35 : TEST(histHabitacionalTEST, eph2018_PATAGONIA) {</span>
<span class="lineNum">      73 </span><span class="lineCov">         14 :     eph_h th;</span>
<span class="lineNum">      74 </span><span class="lineCov">         14 :     eph_i ti;</span>
<span class="lineNum">      75 </span><span class="lineCov">          7 :     leerEncuesta ( &quot;eph_3c_2018&quot;, th, ti );</span>
<span class="lineNum">      76 </span>            : 
<a name="77"><span class="lineNum">      77 </span><span class="lineCov">         14 :     vector&lt;int&gt; resultado_esperado = {154, 428, 690, 481, 145, 50, 19, 2, 3, 0, 1 };</span></a>
<span class="lineNum">      78 </span><span class="lineCov">          7 :     EXPECT_EQ( resultado_esperado, histHabitacional(th, ti, 6) );</span>
<span class="lineNum">      79 </span><span class="lineCov">         28 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
